Package org.apache.catalina

## Interface ContainerListener

- All Known Implementing Classes:
    `FrameworkListener`, `MapperListener`, `StandardEngine.AccessLogListener`, `ThreadLocalLeakPreventionListener`

      public interface ContainerListener

  Interface defining a listener for significant Container generated events. Note that "container start" and "container stop" events are normally LifecycleEvents, not ContainerEvents.
  Author:
    Craig R. McClanahan

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `containerEvent​(ContainerEvent event)` | Acknowledge the occurrence of the specified event.

- - ### Method Detail

    - #### containerEvent

          void containerEvent​(ContainerEvent event)

      Acknowledge the occurrence of the specified event.
      Parameters:
        `event` - ContainerEvent that has occurred